## gearhead 1.100

=== debian/changelog ===
gearhead (1.100-3) unstable; urgency=low

  * Standards-Version: 3.9.6.
  * Switch from using dh_clean -k to dh_prep.
  * Bump debhelper compat to 9.
  * Add corrections to the man page from Ubuntu patch (Thanks to Bjarnig
    Ingi Gislason).
  * Import change "Disable hardening flags, fpc doesn't support them. This
    fixes a FTBFS." from Ubuntu to debian/rules.
  * Switch Homepage to non-dead URL on roguebasin.
  * Add a desktop file and an icon. (Closes: #737891)

 -- Kari Pahula <kaol@debian.org>  Tue, 18 Aug 2015 17:24:12 +0200

gearhead (1.100-2) unstable; urgency=low

  * Standards-Version: 3.8.4 (no changes necessary)
  * Build with fpc -g. (Closes: #436966)
  * Switch to dpkg-source 3.0 (quilt) format
  * Safeguard against SelectTarget setting Weapon as Nil in AimThatAttack
    in pcaction.pp. (Closes: #551882)
  * Use LongInts in thrust calculations in movement.pp. (Closes: #412964)
  * Patches from the SVN:
    * FindNAtt, FindSAtt should be faster, thanks to Buffered (gears.pp)
    * Stunt Driving should now work properly (effects.pp)

 -- Kari Pahula <kaol@debian.org>  Wed, 10 Feb 2010 22:07:16 +0200

gearhead (1.100-1) unstable; urgency=low

  * New upstream release
  * Removed the preinst script introduced in 1.001-1 to fix config file
    location from earlier versions.

 -- Kari Pahula <kaol@debian.org>  Tue, 26 Jun 2007 15:18:06 +0300

gearhead (1.021-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Thu,  8 Feb 2007 14:41:17 +0200

gearhead (1.010-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Sun, 17 Sep 2006 13:20:29 +0300

gearhead (1.002-1) unstable; urgency=low

  * New upstream release
  * Mention correctly /etc/gearhead.conf as the config file in the man
    page (Closes: #366646)
  * Correctly labeled the key binding configuration names in the man page.
  * Removed the unnecessary dependency on fp-units-rtl

 -- Kari Pahula <kaol@debian.org>  Thu,  6 Jul 2006 16:54:39 +0300

gearhead (1.001-1) unstable; urgency=low

  * New upstream release
  * Look for system-wide configuration file at /etc/gearhead.conf, not
    /etc/gearhead.cfg.
  * Correctly install the template config file to /etc/gearhead.conf, not
    /etc/gearhead.cfg/gearhead.cfg

 -- Kari Pahula <kaol@iki.fi>  Sun, 22 Jan 2006 23:02:43 +0200

gearhead (1.000-2) unstable; urgency=low

  * Describe game keys in the man page and correctly list the (lack of)
    options gearhead accepts (Closes: #344387)
  * Save the end of game character dump to ~/.gearhead/ instead of the
    current directory.
  * Install an /etc/gearhead.cfg template.

 -- Kari Pahula <kaol@iki.fi>  Mon,  2 Jan 2006 23:32:42 +0200

gearhead (1.000-1) unstable; urgency=low

  * Initial release Closes: #340805
  * Changed gearhead to look for game data from under
    /usr/share/games/gearhead
  * Changed gearhead to save games under $HOME/.gearhead/SaveGame
  * Changed gearhead to look for config files at
    $HOME/.gearhead/gearhead.cfg or /etc/gearhead.cfg

 -- Kari Pahula <kaol@iki.fi>  Fri,  2 Dec 2005 02:46:05 +0200
