=== debian/control ===
Source: gearhead
Section: games
Priority: optional
Maintainer: Kari Pahula <kaol@debian.org>
Build-Depends: debhelper (>= 9), fp-compiler
Standards-Version: 3.9.6
Homepage: http://www.roguebasin.com/index.php?title=GearHead

Package: gearhead
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gearhead-data
Description: roguelike mecha role playing game
 A century and a half ago the Earth was nearly destroyed by nuclear
 war. Now, a federation of free city-states has begun to restore
 civilization. However, there are forces operating in the darkness
 which will unleash the horrors of the past age in a bid to determine
 the future of the human race.
 .
 Features of the game include random storyline generation, richly
 detailed character generation, complex NPC interaction, and of course
 over 150 different mechanical designs ranging from jet fighters to
 giant robots to city-smashing tanks.

Package: gearhead-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for gearhead
 A century and a half ago the Earth was nearly destroyed by nuclear
 war. Now, a federation of free city-states has begun to restore
 civilization. However, there are forces operating in the darkness
 which will unleash the horrors of the past age in a bid to determine
 the future of the human race.
 .
 Features of the game include random storyline generation, richly
 detailed character generation, complex NPC interaction, and of course
 over 150 different mechanical designs ranging from jet fighters to
 giant robots to city-smashing tanks.
 .
 These are the common files for gearhead.
