=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=-all

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

-include /usr/share/dpkg/buildflags.mk
export CFLAGS

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	fpc $(CFLAGS) -g -XD arena
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp

	rm -f *.a *.o *.ppu arena

	dh_clean

install: install-indep install-arch
install-indep:
	dh_prep
	dh_testdir
	dh_testroot
	dh_installdirs -i

	dh_install -i

install-arch:
	dh_prep
	dh_testdir
	dh_testroot
	dh_installdirs -s

	dh_install -s
	cp arena debian/gearhead/usr/games/gearhead

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs history.txt
	dh_installdocs -X compiling.txt -X history.txt
	dh_installexamples
	dh_installmenu
	dh_installman
	install -D -m 644 debian/gearhead.lintian-overrides debian/gearhead/usr/share/lintian/overrides/gearhead
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch
