## gearhead 1.302

=== debian/changelog ===
gearhead (1.302-4) unstable; urgency=medium

  * Build depend on fpc-source metapackage instead of the direct version
    and determine fpcsrc directory by querying dependended package's
    version with dpkg.  (Closes: #868448)

 -- Kari Pahula <kaol@debian.org>  Sat, 15 Jul 2017 20:40:44 +0300

gearhead (1.302-3) unstable; urgency=medium

  * Apply xterm-boxdrawing patch for better graphics and cursor behavior
    on the console version. (Closes: #845154)

 -- Kari Pahula <kaol@debian.org>  Mon, 21 Nov 2016 18:50:02 +0200

gearhead (1.302-2) unstable; urgency=medium

  * Stop using CFLAGS as a compile flag variable, fpc's not a C compiler.
    (Closes: #831797)

 -- Kari Pahula <kaol@debian.org>  Thu, 08 Sep 2016 18:36:45 +0300

gearhead (1.302-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 3.9.8 (no changes necessary).

 -- Kari Pahula <kaol@debian.org>  Tue, 05 Jul 2016 21:36:18 +0300

gearhead (1.300-1) unstable; urgency=medium

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Tue, 05 Apr 2016 19:20:17 +0300

gearhead (1.201-2) unstable; urgency=medium

  * Fix FTBFS due to missing build deps

 -- Kari Pahula <kaol@debian.org>  Tue, 29 Mar 2016 21:46:19 +0300

gearhead (1.201-1) unstable; urgency=medium

  * New upstream release. (Closes: #367137)
  * Standards-Version: 3.9.7.
  * Added gearhead-sdl package. (Closes: #570412)
  * Switch homepage back to resurrected http://www.gearheadrpg.com/.
  * Move /etc/gearhead.conf and gearhead.xpm from gearhead to
    gearhead-data package, along with matching Breaks and Replaces fields.
  * Install Image game data to gearhead-data package.
  * Simplified unixpaths patch to use chdir at game start instead of
    changing every data directory. Removed all other patches since they
    have been merged in upstream.
  * New build deps, for SDL: fp-units-multimedia, fp-units-misc,
    libsdl-ttf2.0-dev, libsdl-image1.2-dev
  * Removed postrm script, used to remove obsolete /etc/gearhead.cfg.
  * Add ttf-bitstream-vera as a dependency for gearhead-data and use
    symbolic links instead of installing own copies.

 -- Kari Pahula <kaol@debian.org>  Sun, 27 Mar 2016 10:08:12 +0300
