=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: games
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: debhelper (>= 9), fp-compiler
-Standards-Version: 3.9.6
-Homepage: http://www.roguebasin.com/index.php?title=GearHead
+Build-Depends: debhelper (>= 9), fp-compiler, fp-units-multimedia, fp-units-misc, fp-units-base, libsdl-ttf2.0-dev, libsdl-image1.2-dev, fpc-source
+Standards-Version: 3.9.8
+Homepage: http://www.gearheadrpg.com/
 
 Package: gearhead
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, gearhead-data
-Description: roguelike mecha role playing game
+Suggests: gearhead-sdl
+Description: roguelike mecha role playing game, console version
  A century and a half ago the Earth was nearly destroyed by nuclear
  war. Now, a federation of free city-states has begun to restore
  civilization. However, there are forces operating in the darkness
@@ -20,10 +21,32 @@
  detailed character generation, complex NPC interaction, and of course
  over 150 different mechanical designs ranging from jet fighters to
  giant robots to city-smashing tanks.
+ .
+ This is the console version.  For graphics, use gearhead-sdl instead.
+
+Package: gearhead-sdl
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, gearhead-data (>= 1.201-1)
+Description: roguelike mecha role playing game, SDL version
+ A century and a half ago the Earth was nearly destroyed by nuclear
+ war. Now, a federation of free city-states has begun to restore
+ civilization. However, there are forces operating in the darkness
+ which will unleash the horrors of the past age in a bid to determine
+ the future of the human race.
+ .
+ Features of the game include random storyline generation, richly
+ detailed character generation, complex NPC interaction, and of course
+ over 150 different mechanical designs ranging from jet fighters to
+ giant robots to city-smashing tanks.
+ .
+ This is the SDL version.  For console, use gearhead instead.
 
 Package: gearhead-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ttf-bitstream-vera
+Breaks: gearhead (<< 1.201-1)
+Replaces: gearhead (<< 1.201-1)
+Suggests: gearhead | gearhead-sdl
 Description: data files for gearhead
  A century and a half ago the Earth was nearly destroyed by nuclear
  war. Now, a federation of free city-states has begun to restore
