=== debian/rules ===
--- 
+++ 
@@ -18,22 +18,46 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=-all
 
+# Is there some conventional variable name for flags for fpc?  As this
+# is made up currently, empty anything the environment might have.
+
+FPCFLAGS := -g
+
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
 else
-	CFLAGS += -O2
+	FPCFLAGS += -O2
 endif
 
 -include /usr/share/dpkg/buildflags.mk
-export CFLAGS
+export FPCFLAGS
+
+FPCSRCVERSION=$(shell dpkg -s fpc-source | perl -ne 'if (/^Depends:.*fpc-source-([0-9.]+)/) {print $$1; exit 0;}')
 
 #Architecture 
 build: build-arch build-indep
 
 build-arch: build-arch-stamp
-build-arch-stamp:
-	fpc $(CFLAGS) -g -XD arena
+build-arch-stamp: build-arch-console-stamp build-arch-sdl-stamp
 	touch build-arch-stamp
+
+build-arch-console-stamp: debian/build/console
+	dh_testdir
+	cd debian/build/console; fpc $(FPCFLAGS) -XD gharena
+	touch build-arch-console-stamp
+
+build-arch-sdl-stamp: debian/build/sdl
+	dh_testdir
+	cd debian/build/sdl; fpc $(FPCFLAGS) -dSDLMODE -XD gharena
+	touch build-arch-sdl-stamp
+
+debian/build/console debian/build/sdl:
+	dh_testdir
+	mkdir -p $@
+	cp *.pas *.pp *.inc $@
+	cp /usr/share/fpcsrc/$(FPCSRCVERSION)/packages/rtl-console/src/unix/crt.pp $@
+	cp /usr/share/fpcsrc/$(FPCSRCVERSION)/packages/rtl-console/src/inc/crth.inc $@
+	cp xterm-boxdrawing/boxdraw.inc $@
+	cd $@; patch -p0 < ../../../xterm-boxdrawing/crt.pp.diff
 
 build-indep: build-indep-stamp
 build-indep-stamp:
@@ -42,9 +66,9 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-arch-stamp build-indep-stamp
+	rm -f build-arch-stamp build-arch-console-stamp build-arch-sdl-stamp build-indep-stamp
 
-	rm -f *.a *.o *.ppu arena
+	rm -rf debian/build
 
 	dh_clean
 
@@ -64,7 +88,8 @@
 	dh_installdirs -s
 
 	dh_install -s
-	cp arena debian/gearhead/usr/games/gearhead
+	cp debian/build/console/gharena debian/gearhead/usr/games/gearhead
+	cp debian/build/sdl/gharena debian/gearhead-sdl/usr/games/gearhead-sdl
 
 # Must not depend on anything. This is to be called by
 # binary-arch/binary-indep
@@ -77,7 +102,6 @@
 	dh_installexamples
 	dh_installmenu
 	dh_installman
-	install -D -m 644 debian/gearhead.lintian-overrides debian/gearhead/usr/share/lintian/overrides/gearhead
 	dh_link
 	dh_strip
 	dh_compress
