## gearhead 1.310

=== debian/changelog ===
gearhead (1.310-3) unstable; urgency=medium

  * Switch from ttf-bitstream-vera to fonts-dejavu-core and remove the ttf
    files out from the package and move the font dependency to
    gearhead-sdl.  Patch gearhead-sdl binary to use the new fonts from
    system directory.  (Closes: #998275)
  * Standards-Version: 4.6.0 (No changes needed)
  * Removed unused lintian override from gearhead-sdl

 -- Kari Pahula <kaol@debian.org>  Fri, 19 Nov 2021 19:55:05 +0200

gearhead (1.310-2) unstable; urgency=medium

  * Set type as Application (with correct case) in the desktop
    files. (Closes: #960071)
  * Standards-version: 4.5.0 and debhelper compat 13
  * Apply terminal-drawing-order patch from github to optimize screen
    drawing to be by row.
  * Rename gearhead-sdl's user config file as gearhead-sdl.conf to avoid
    clashing defaults for arrow keys.

 -- Kari Pahula <kaol@debian.org>  Wed, 13 May 2020 11:47:46 +0300

gearhead (1.310-1) unstable; urgency=medium

  * New upstream release
  * Standards-version: 4.3.0 (no changes necessary).

 -- Kari Pahula <kaol@debian.org>  Fri, 08 Feb 2019 17:56:42 +0200
