=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: debhelper (>= 9), fp-compiler, fp-units-multimedia, fp-units-misc, fp-units-base, libsdl-ttf2.0-dev, libsdl-image1.2-dev, fpc-source
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 13), fp-compiler, fp-units-multimedia, fp-units-misc, fp-units-base, libsdl-ttf2.0-dev, libsdl-image1.2-dev, fpc-source
+Standards-Version: 4.5.0
 Homepage: http://www.gearheadrpg.com/
 
 Package: gearhead
@@ -26,7 +26,7 @@
 
 Package: gearhead-sdl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gearhead-data (>= 1.201-1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, gearhead-data (>= 1.201-1), fonts-dejavu-core
 Description: roguelike mecha role playing game, SDL version
  A century and a half ago the Earth was nearly destroyed by nuclear
  war. Now, a federation of free city-states has begun to restore
@@ -43,7 +43,7 @@
 
 Package: gearhead-data
 Architecture: all
-Depends: ${misc:Depends}, ttf-bitstream-vera
+Depends: ${misc:Depends}
 Breaks: gearhead (<< 1.201-1)
 Replaces: gearhead (<< 1.201-1)
 Suggests: gearhead | gearhead-sdl
