=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,7 @@
 
 build-arch-sdl-stamp: debian/build/sdl
 	dh_testdir
+	sed -i s/gearhead.conf/gearhead-sdl.conf/ debian/build/sdl/gears.pp
 	cd debian/build/sdl; fpc $(FPCFLAGS) -dSDLMODE -XD gharena
 	touch build-arch-sdl-stamp
 
@@ -85,9 +86,9 @@
 	dh_prep
 	dh_testdir
 	dh_testroot
-	dh_installdirs -s
+	dh_installdirs -a
 
-	dh_install -s
+	dh_install -a
 	cp debian/build/console/gharena debian/gearhead/usr/games/gearhead
 	cp debian/build/sdl/gharena debian/gearhead-sdl/usr/games/gearhead-sdl
